| Home | Libraries | People | FAQ | More

##### buffer_ref::consume

Remove `n` bytes from the readable byte sequence.

###### Synopsis

    void
    consume(
        std::size_t n);

###### Description

DynamicBuffer_v1:Removes `n` characters from the beginning of the input sequence.

###### Remarks

If `n` is greater than the size of the input sequence, the entire input sequence is consumed and no error is issued.